This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 844112 - [abrt] the-board-0.1.3-7.fc17: __pthread_mutex_lock: Process /usr/libexec/the-board-start was killed by signal 11 (SIGSEGV)
[abrt] the-board-0.1.3-7.fc17: __pthread_mutex_lock: Process /usr/libexec/the...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: the-board (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:2a316fe620bba1c2c22f2d3d433...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-28 21:33 EDT by Michael Windham
Modified: 2013-08-01 00:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:14:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (6.29 KB, text/plain)
2012-07-28 21:33 EDT, Michael Windham
no flags Details
File: backtrace (78.83 KB, text/plain)
2012-07-28 21:33 EDT, Michael Windham
no flags Details
File: maps (42.83 KB, text/plain)
2012-07-28 21:33 EDT, Michael Windham
no flags Details
File: dso_list (10.20 KB, text/plain)
2012-07-28 21:34 EDT, Michael Windham
no flags Details
File: build_ids (4.48 KB, text/plain)
2012-07-28 21:34 EDT, Michael Windham
no flags Details

  None (edit)
Description Michael Windham 2012-07-28 21:33:51 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/the-board-start
comment:        I was attempting to click The Board tray icon when it and the application disappeared.
crash_function: __pthread_mutex_lock
executable:     /usr/libexec/the-board-start
kernel:         3.4.6-2.fc17.i686.PAE
pid:            2265
pwd:            /home/mlw
time:           Sat 28 Jul 2012 09:26:09 PM EDT
uid:            1000
username:       mlw
xsession_errors: /usr/bin/the-board: line 30:  2265 Segmentation fault      (core dumped) /usr/libexec/the-board-start

backtrace:      Text file, 80724 bytes
build_ids:      Text file, 4592 bytes
core_backtrace: Text file, 6436 bytes
dso_list:       Text file, 10445 bytes
maps:           Text file, 43853 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mlw/4

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=4
:HOSTNAME=localhost.localdomain
:GIO_LAUNCHED_DESKTOP_FILE_PID=2263
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/mlw/keyring-NHhfDP/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-shell-1603-localhost.localdomain-the-board-1_TIME523674
:TERM=dumb
:SHELL=/bin/bash
:HARDWARE_PLATFORM=i386
:XDG_SESSION_COOKIE=99da32c5e3cd4709361e1b8200000008-1343516053.371720-346091573
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/run/user/mlw/keyring-NHhfDP
:QTDIR=/usr/lib/qt-3.3
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=mlw
:FONTCONFIG_FILE=/usr/share/the-board/fonts.conf
:LD_LIBRARY_PATH=
:SSH_AUTH_SOCK=/run/user/mlw/keyring-NHhfDP/ssh
:GJS_PATH=/usr/share/the-board/js
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1381,unix/unix:/tmp/.ICE-unix/1381
:USERNAME=
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/the-board.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mlw/.local/bin:/home/mlw/bin:/home/mlw/usr/local/bin:/home/mlw/usr/bin:/home/mlw/opt/avg/av/bin
:MAIL=/var/spool/mail/mlw
:QT_IM_MODULE=xim
:PWD=/home/mlw
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1374
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SHLVL=2
:HOME=/home/mlw
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=mlw
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-8Ct0zFzoiA,guid=3c7d4d7f33813ecdaaf230440000010f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/mlw
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-mlw-dUF5mT/database
:_=/usr/libexec/the-board-start

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31881                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31881                31881                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mlw/.xsession-errors
:pos:	1366189
:flags:	02002
:2:/home/mlw/.xsession-errors
:pos:	1366189
:flags:	02002
:3:socket:[29368]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[29371]
:pos:	0
:flags:	02004002
:6:/dev/dri/card0
:pos:	0
:flags:	02
:7:socket:[29754]
:pos:	0
:flags:	02004002
:8:socket:[29418]
:pos:	0
:flags:	02004002
:9:/tmp/ffiWBVRwB (deleted)
:pos:	0
:flags:	02

smolt_data:
:
:
:General
:=================================
:UUID: 3956ae29-301a-41c6-a5b9-0a5fc5746a88
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 5984.82
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E5700  @ 3.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2991
:System Memory: 4001
:System Swap: 0
:Vendor: Shuttle Inc
:System: SG41 V20
:Form factor: Desktop
:Kernel: 3.4.6-2.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10168:4759:16385) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(4523:17280:4759:16385) pci, sky2, ETHERNET, 88E8057 PCI-E Gigabit Ethernet Controller
:(32902:11826:4759:16385) pci, i915, VIDEO, 4 Series Chipset Integrated Graphics Controller
:(32902:11827:4759:16385) pci, None, VIDEO, 4 Series Chipset Integrated Graphics Controller
:(32902:10192:4759:16385) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4759:16385) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4759:16385) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:4759:16385) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10202:4759:16385) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:4759:16385) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10176:4759:16385) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10185:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:11824:4759:16385) pci, agpgart-intel, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:10186:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4759:16385) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 63921659 57679801 54479789 16007168 15496942 15496942
:

var_log_messages:
:Jul 28 21:26:09 localhost kernel: [ 9387.517590] the-board-start[2265]: segfault at 3a726f78 ip 44f437d7 sp bf931a70 error 4 in libpthread-2.15.so[44f3b000+16000]
:Jul 28 21:26:09 localhost abrt[8315]: File '/usr/libexec/the-board-start' seems to be deleted
:Jul 28 21:26:10 localhost abrt[8315]: Saved core dump of pid 2265 (/usr/libexec/the-board-start) to /var/spool/abrt/ccpp-2012-07-28-21:26:09-2265 (79282176 bytes)
Comment 1 Michael Windham 2012-07-28 21:33:54 EDT
Created attachment 600964 [details]
File: core_backtrace
Comment 2 Michael Windham 2012-07-28 21:33:56 EDT
Created attachment 600965 [details]
File: backtrace
Comment 3 Michael Windham 2012-07-28 21:33:58 EDT
Created attachment 600966 [details]
File: maps
Comment 4 Michael Windham 2012-07-28 21:34:00 EDT
Created attachment 600967 [details]
File: dso_list
Comment 5 Michael Windham 2012-07-28 21:34:01 EDT
Created attachment 600968 [details]
File: build_ids
Comment 7 Fedora End Of Life 2013-07-03 20:28:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 00:14:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.